=== debian/changelog ===
pyepr (0.5-1) unstable; urgency=low

  * Initial release (Closes: #625997)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 May 2011 20:33:54 +0200
