=== debian/control ===
Source: pyepr
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: python-all-dev, debhelper (>= 7.0.50~),
               cython (>= 0.13), python-numpy, libepr-api2-dev (>= 2.2),
               python-sphinx (>= 1.0), texlive-latex-extra
Standards-Version: 3.9.2
Homepage: http://avalentino.github.com/pyepr
Vcs-Git: git://git.debian.org/git/pkg-grass/pyepr.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/pyepr.git

Package: python-epr
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-numpy, libjs-jquery
X-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: Python ENVISAT Product Reader API
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.
