=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh --with python2 $@ --buildsystem=python_distutils


override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc html


override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/epr.c
	$(RM) -r doc/_build doc/html


# suppress dh_auto_test since it requires a large download
override_dh_auto_test:


override_dh_installdocs:
	dh_installdocs
	$(RM) $(DESTDIR)/usr/share/python-epr/html/_statis/jquery.js


override_dh_installchangelogs:
	dh_installchangelogs doc/NEWS.txt


# don't compress sphinx doc files (fixed in debhelper 8.1)
override_dh_compress:
	dh_compress -X.js -X.inv -X.txt


.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_auto_test \
        override_dh_installdcs override_dh_installchangelogs override_dh_compress
