## pyepr 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- coding: utf-8 -*-
 
-# Copyright (C) 2011, Antonio Valentino <antonio.valentino@tiscali.it>
+# Copyright (C) 2011.2012, Antonio Valentino <antonio.valentino@tiscali.it>
 #
 # This file is part of PyEPR.
 #
@@ -22,14 +22,17 @@
 TEST_DATSET_URL = "http://earth.esa.int/services/sample_products/meris/LRC/L2/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1.gz"
 TEST_DATSET = test/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1
 
-.PHONY: default sdist doc clean distclean check debug data upload
+.PHONY: default ext sdist doc clean distclean check debug data upload
 
-default: epr.so
+default: ext
+
+ext: src/epr.pyx
+	$(PYTHON) setup.py build_ext --inplace
 
 sdist:
 	$(PYTHON) setup.py build_ext --inplace
 	$(PYTHON) setup.py clean
-	$(RM) epr.so
+	$(RM) *.so
 	$(MAKE) -C doc html
 	$(RM) -r doc/_build
 	$(PYTHON) setup.py sdist
@@ -37,7 +40,7 @@
 upload:
 	$(PYTHON) setup.py build_ext --inplace
 	$(PYTHON) setup.py clean
-	$(RM) epr.so
+	$(RM) *.so
 	$(MAKE) -C doc html
 	$(RM) -r doc/_build
 	$(PYTHON) setup.py sdist upload -s -i 24B76CFE
@@ -47,27 +50,25 @@
 
 clean:
 	$(PYTHON) setup.py clean
-	$(RM) src/*.py[co] tests/*.py[co] README.html
+	$(RM) src/*.py[co] tests/*.py[co] doc/sphinxext/*.py[co] README.html
 	$(MAKE) -C doc clean
 	$(RM) -r doc/_build
+	find . -name '*~' -delete
 
 distclean: clean
 	$(RM) -r build dist pyepr.egg-info
 	$(RM) MANIFEST src/*.c src/*.o *.so
-	#$(RM) tests/*.N1
+	$(RM) $(TEST_DATSET)
 	$(RM) -r doc/html
 
-check: epr.so $(TEST_DATSET)
-	cd test && $(PYTHON) test_all.py --verbose
+check: ext $(TEST_DATSET)
+	$(PYTHON) test/test_all.py --verbose
 
 debug:
 	$(PYTHON) setup.py build_ext --inplace --debug
 
 data: $(TEST_DATSET)
 
-epr.so: src/epr.pyx
-	$(PYTHON) setup.py build_ext --inplace
-
 $(TEST_DATSET):
 	wget -P test $(TEST_DATSET_URL)
 	gunzip $@
