=== debian/changelog ===
pyepr (0.6.1-2) unstable; urgency=low

  * Only run dh_sphinxdoc on the -doc package (Closes: #671048).
    See also #647233.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 01 May 2012 17:45:39 +0200

pyepr (0.6.1-1) unstable; urgency=low

  * New upstream release
  * New packages:
    - -dbg package for python2
    - packages for python3 (standard and -dbg)
    - package for common docs
  * Switch to debhelper 8
  * Standard version bumped to 3.9.3 (no changes)
  * debian/README.test file added
  * Updated copyright file
  * Use dh_sphinxdoc and common javascript code from libjs-sphinxdoc
  * debian/rules:
    - honor nodoc and noopt DEB_BUILD_OPTIONS
    - call dh_numpy for an appropriate management of the dependency
      from numpy
  * debian/control:
    - X-Python-Version moved to the source package section

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 29 Apr 2012 19:35:45 +0200
