=== debian/control ===
Source: pyepr
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Build-Depends: python-all-dev, python-all-dbg,
               python3-all-dev, python3-all-dbg,
               debhelper (>= 8.1.0~), cython (>= 0.13), cython-dbg,
               python-numpy, python-numpy-dbg,
               python3-numpy, python3-numpy-dbg,
               libepr-api2-dev (>= 2.2),
               python-sphinx (>= 1.0.7+dfsg), texlive-latex-extra
Standards-Version: 3.9.3
Homepage: http://avalentino.github.com/pyepr
Vcs-Git: git://git.debian.org/git/pkg-grass/pyepr.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/pyepr.git

Package: python-epr
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         ${sphinxdoc:Depends}, python-numpy
Provides: ${python:Provides}
Suggests: python-epr-doc
Description: Python ENVISAT Product Reader API (Python 2)
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.
 .
 This is the Python 2 version of the package.

Package: python-epr-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         ${sphinxdoc:Depends}, python-epr (= ${binary:Version})
Provides: ${python:Provides}
Recommends: python-numpy-dbg
Description: Python ENVISAT Product Reader API (debug extension for Python 2)
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.
 .
 This package contains the extension built for the Python 2 debug interpreter.

Package: python3-epr
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
         ${sphinxdoc:Depends}, python3-numpy
Provides: ${python3:Provides}
Suggests: python-epr-doc
Description: Python ENVISAT Product Reader API (Python 3)
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.
 .
 This package contains pyepr for Python 3.

Package: python3-epr-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
         ${sphinxdoc:Depends}, python3-epr (= ${binary:Version})
Provides: ${python3:Provides}
Recommends: python-numpy-dbg
Description: Python ENVISAT Product Reader API (debug extension for Python 3)
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-epr-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Suggests: www-browser
Description: Python ENVISAT Product Reader API (common documentation)
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.
 .
 This is the common documentation package.
