=== debian/changelog ===
pyepr (0.8.1-1build2) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:50 +0000

pyepr (0.8.1-1build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:32:17 +0000

pyepr (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Compat set to 9
  * debian/control
    - Build-depend from debhelper (>= 9)
    - Removed unnecessary versioned dependency from libepr-api2-dev (>= 2.2)
    - Removed unnecessary "${sphinxdoc:Depends}" from non-doc packages
    - Added build dependencies from python-doc and python-numpy-doc.
      It is necessary to make the package build self-contained.
  * debian/copyright
    - Updated copyright dates
    - Fixed formatting of copyright file
  * debian/patches:
    - Only use local files for generating sphinx doc.
      Set the "intersphinx_mapping" parameter in the doc/conf.py to
      point to local object.inv files.
      This makes the package self contained and no download attempt
      happens any longer (Closes: #726859).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 26 Oct 2013 10:30:04 +0000

pyepr (0.6.1-3) unstable; urgency=low

  * Call dh_numpy3
  * Preserve the original changelog name  
  * Fix installation of debug estensions for Python 3.3 (Closes: #708011)
  * Standards version bumped to 3.9.4 (no changes)
  * Added build dependency from cython3
  * Use canonical URIs for Vcs-* fields

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Oct 2012 12:29:06 +0200
