=== debian/control ===
--- 
+++ 
@@ -7,20 +7,22 @@
 X-Python3-Version: >= 3.2
 Build-Depends: python-all-dev, python-all-dbg,
                python3-all-dev, python3-all-dbg,
-               debhelper (>= 8.1.0~), cython (>= 0.13), cython-dbg,
+               debhelper (>= 9),
+               cython (>= 0.13), cython3, cython-dbg, cython3-dbg,
                python-numpy, python-numpy-dbg,
                python3-numpy, python3-numpy-dbg,
-               libepr-api2-dev (>= 2.2),
-               python-sphinx (>= 1.0.7+dfsg), texlive-latex-extra
-Standards-Version: 3.9.3
+               libepr-api2-dev,
+               python-sphinx (>= 1.0.7+dfsg), texlive-latex-extra,
+               python-doc, python-numpy-doc
+Standards-Version: 3.9.4
 Homepage: http://avalentino.github.com/pyepr
-Vcs-Git: git://git.debian.org/git/pkg-grass/pyepr.git
-Vcs-Browser: http://git.debian.org/?p=pkg-grass/pyepr.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/pyepr.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/pyepr.git
 
 Package: python-epr
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
-         ${sphinxdoc:Depends}, python-numpy
+         python-numpy
 Provides: ${python:Provides}
 Suggests: python-epr-doc
 Description: Python ENVISAT Product Reader API (Python 2)
@@ -41,7 +43,7 @@
 Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
-         ${sphinxdoc:Depends}, python-epr (= ${binary:Version})
+         python-epr (= ${binary:Version})
 Provides: ${python:Provides}
 Recommends: python-numpy-dbg
 Description: Python ENVISAT Product Reader API (debug extension for Python 2)
@@ -60,7 +62,7 @@
 Package: python3-epr
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
-         ${sphinxdoc:Depends}, python3-numpy
+         python3-numpy
 Provides: ${python3:Provides}
 Suggests: python-epr-doc
 Description: Python ENVISAT Product Reader API (Python 3)
@@ -81,7 +83,7 @@
 Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
-         ${sphinxdoc:Depends}, python3-epr (= ${binary:Version})
+         python3-epr (= ${binary:Version})
 Provides: ${python3:Provides}
 Recommends: python-numpy-dbg
 Description: Python ENVISAT Product Reader API (debug extension for Python 3)
