=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# Get the supported Python versions
 #PY2VERS=$(shell pyversions -vr)
 PY3VERS=$(shell py3versions -vr)
+
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 export CFLAGS ?= -O0
 endif
@@ -20,7 +22,7 @@
 	python$*-dbg setup.py build
 
 
-override_dh_auto_build: $(PYTHON3:%=build-python%)
+override_dh_auto_build: $(PY3VERS:%=build-python%)
 	dh_auto_build
 
 
@@ -49,15 +51,16 @@
 override_dh_install:
 	# Install everything excluding the *_d.so debug extensions to python-epr
 	dh_install -X"*_d.so" "debian/tmp/usr/lib/python2*" -p python-epr
-	dh_install -X"*dmu.so" "debian/tmp/usr/lib/python3*" -p python3-epr
+	dh_install -X"*dmu.so" -X"*dm.so" "debian/tmp/usr/lib/python3*" -p python3-epr
 
 	# Install the debug extensions to python-epr-dbg
 	dh_install "debian/tmp/usr/lib/python2*/*-packages/*_d.so" -p python-epr-dbg
-	dh_install "debian/tmp/usr/lib/python3*/*-packages/*dmu.so" -p python3-epr-dbg
+	dh_install "debian/tmp/usr/lib/python3*/*-packages/*.cpython-??dm*.so" -p python3-epr-dbg
 
 	# Continue with regular dh_install
 	dh_install
 	dh_numpy
+	dh_numpy3
 
 
 install-python%:
@@ -70,7 +73,7 @@
 
 
 override_dh_installchangelogs:
-	dh_installchangelogs doc/NEWS.txt
+	dh_installchangelogs -k doc/NEWS.txt
 
 
 override_dh_compress:
