=== debian/changelog ===
pyepr (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - added an explicit build dependency from dh-python
    - Standard version bumped to 3.9.6 (no changes)
    - fix Vcs-Browser URL
  * debian/patches
    - updated 0001-Only-use-local-files-for-generating-sphinx-doc.patch:
      do not include links to the ohloh and travis-ci widgets

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Jan 2015 12:07:04 +0000

pyepr (0.8.1-2) unstable; urgency=medium

  * Standards-Version bumped to 3.9.5 (no change)
  * Fixed file conflicts in binary packages (Closes: #748237)
  * debian/control
    - build-depend on the new libepr-api-dev instead of
      libepr-api2-dev

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 18 May 2014 08:54:49 +0000
