=== debian/control ===
--- 
+++ 
@@ -5,25 +5,36 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Build-Depends: python-all-dev, python-all-dbg,
-               python3-all-dev, python3-all-dbg,
-               debhelper (>= 9),
-               cython (>= 0.13), cython3, cython-dbg, cython3-dbg,
-               python-numpy, python-numpy-dbg,
-               python3-numpy, python3-numpy-dbg,
-               libepr-api2-dev,
-               python-sphinx (>= 1.0.7+dfsg), texlive-latex-extra,
-               python-doc, python-numpy-doc
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python-all-dev,
+               python-all-dbg,
+               python3-all-dev,
+               python3-all-dbg,
+               cython (>= 0.13),
+               cython-dbg,
+               cython3,
+               cython3-dbg,
+               python-numpy,
+               python-numpy-dbg,
+               python3-numpy,
+               python3-numpy-dbg,
+               libepr-api-dev,
+               python-sphinx (>= 1.0.7+dfsg),
+               texlive-latex-extra,
+               python-doc,
+               python-numpy-doc
+Standards-Version: 3.9.6
 Homepage: http://avalentino.github.com/pyepr
 Vcs-Git: git://anonscm.debian.org/pkg-grass/pyepr.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/pyepr.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyepr.git
 
 Package: python-epr
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends},
          python-numpy
-Provides: ${python:Provides}
 Suggests: python-epr-doc
 Description: Python ENVISAT Product Reader API (Python 2)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API
@@ -42,9 +53,10 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends},
          python-epr (= ${binary:Version})
-Provides: ${python:Provides}
 Recommends: python-numpy-dbg
 Description: Python ENVISAT Product Reader API (debug extension for Python 2)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API
@@ -61,9 +73,10 @@
 
 Package: python3-epr
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
          python3-numpy
-Provides: ${python3:Provides}
 Suggests: python-epr-doc
 Description: Python ENVISAT Product Reader API (Python 3)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API
@@ -82,9 +95,10 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
          python3-epr (= ${binary:Version})
-Provides: ${python3:Provides}
 Recommends: python-numpy-dbg
 Description: Python ENVISAT Product Reader API (debug extension for Python 3)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API
@@ -102,7 +116,8 @@
 Package: python-epr-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: ${sphinxdoc:Depends},
+         ${misc:Depends}
 Suggests: www-browser
 Description: Python ENVISAT Product Reader API (common documentation)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API
