## pyepr 0.9.3

=== Makefile ===
--- 
+++ 
@@ -19,9 +19,9 @@
 # along with PyEPR.  If not, see <http://www.gnu.org/licenses/>.
 
 PYTHON = python3
-CYTHON = cython
+CYTHON = cython3
 TEST_DATSET_URL = "http://earth.esa.int/services/sample_products/meris/LRC/L2/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1.gz"
-TEST_DATSET = test/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1
+TEST_DATSET = tests/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1
 
 EPRAPIROOT = ../epr-api
 
@@ -63,6 +63,7 @@
 clean:
 	$(PYTHON) setup.py clean --all
 	$(RM) -r build dist pyepr.egg-info
+	$(RM) -r $$(find doc -name __pycache__) $$(find tests -name __pycache__)
 	$(RM) MANIFEST src/*.c src/*.o *.so
 	$(RM) tests/*.py[co] doc/sphinxext/*.py[co] README.html
 	$(MAKE) -C doc clean
@@ -72,9 +73,10 @@
 	$(RM) $(TEST_DATSET)
 	$(RM) -r doc/html
 	$(RM) -r LICENSES epr-api-src
+	$(MAKE) -C tests -f checksetup.mak distclean
 
 check: ext $(TEST_DATSET)
-	env PYTHONPATH=. $(PYTHON) test/test_all.py --verbose
+	env PYTHONPATH=. $(PYTHON) tests/test_all.py --verbose
 
 debug:
 	$(PYTHON) setup.py build_ext --inplace --debug
@@ -82,5 +84,5 @@
 data: $(TEST_DATSET)
 
 $(TEST_DATSET):
-	wget -P test $(TEST_DATSET_URL)
+	wget -P tests $(TEST_DATSET_URL)
 	gunzip $@
