=== debian/changelog ===
pyepr (0.9.3-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:42:03 +0000

pyepr (0.9.3-1) unstable; urgency=medium

  * New upstream release
  * debian/watch file fixed
  * Refresh all patches
  * Build-depends on python3-doc innstead of python-doc
  * Update copyright file
  * HTML doc is no longer compressed
  * Make the package build reproducible (closes: #788246)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Aug 2015 07:07:12 +0000
