=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libepr-api-dev,
                python-sphinx (>= 1.0.7+dfsg),
                texlive-latex-extra,
-               python-doc,
+               python3-doc,
                python-numpy-doc
 Standards-Version: 3.9.6
 Homepage: http://avalentino.github.com/pyepr
