=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
+BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+SPHINXOPTS := -D today=\"$(BILD_DATE)\"
+SPHINXOPTS += -D html_last_updated_fmt=\"$(BUILD_DATE)\"
 
 # Get the supported Python versions
 #PY2VERS=$(shell pyversions -vr)
@@ -56,6 +61,7 @@
 	# Install the debug extensions to python-epr-dbg
 	dh_install "debian/tmp/usr/lib/python2*/*-packages/*_d.so" -p python-epr-dbg
 	dh_install "debian/tmp/usr/lib/python3*/*-packages/*.cpython-??dm*.so" -p python3-epr-dbg
+	find debian/python3-epr -name '*.cpython-??dm-*.so' | xargs -r rm -f
 
 	# Continue with regular dh_install
 	dh_install
@@ -77,7 +83,7 @@
 
 
 override_dh_compress:
-	dh_compress -X.txt
+	dh_compress -X.txt -X.html -X.py
 
 
 override_dh_sphinxdoc:
@@ -88,7 +94,7 @@
 
 override_dh_installdocs:
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) -C doc html
+	$(MAKE) -C doc html SPHINXOPTS="$(SPHINXOPTS)"
 else
 	mkdir -p doc/html
 endif
