=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyepr-$1\.tar\.gz/ \
  https://github.com/avalentino/pyepr/tags .*/v?(\d\S*)\.tar\.gz
