## pyepr 0.9.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- coding: utf-8 -*-
 
-# Copyright (C) 2011-2014, Antonio Valentino <antonio.valentino@tiscali.it>
+# Copyright (C) 2011-2018, Antonio Valentino <antonio.valentino@tiscali.it>
 #
 # This file is part of PyEPR.
 #
@@ -26,7 +26,7 @@
 EPRAPIROOT = ../epr-api
 
 .PHONY: default ext cythonize sdist eprsrc fullsdist doc clean distclean \
-        check debug data upload
+        check debug data upload manylinux
 
 default: ext
 
@@ -54,11 +54,13 @@
 fullsdist: doc cythonize eprsrc
 	$(PYTHON) setup.py sdist
 
-upload: doc cythonize eprsrc
-	$(PYTHON) setup.py sdist upload -s -i 24B76CFE
+upload: fullsdist
+	twine upload dist/pyepr-*.tar.gz
 
 doc:
 	$(MAKE) -C doc html
+	$(RM) -r doc/html
+	mv doc/_build/html doc/html
 
 clean:
 	$(PYTHON) setup.py clean --all
@@ -67,6 +69,7 @@
 	$(RM) MANIFEST src/*.c src/*.o *.so
 	$(RM) tests/*.py[co] doc/sphinxext/*.py[co] README.html
 	$(MAKE) -C doc clean
+	$(RM) -r doc/_build
 	find . -name '*~' -delete
 
 distclean: clean
@@ -86,3 +89,8 @@
 $(TEST_DATSET):
 	wget -P tests $(TEST_DATSET_URL)
 	gunzip $@
+
+manylinux:
+	# make fullsdist
+	# docker pull quay.io/pypa/manylinux1_x86_64
+	docker run --rm -v $(shell pwd):/io quay.io/pypa/manylinux1_x86_64 sh /io/build-manylinux-wheels.sh
