=== debian/changelog ===
pyepr (0.9.5-2) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/rules
    - improve handling of dh_numpy* calls
  * Add autopkgtest-pkg-python: debian/control and
    debian/rules updated, debian/source/lintian-overrides
    removed.
  * Add lintian overrides for misdetected spelling errors.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.3.0, no changes.
  * Use wildcard for files in lintian overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Feb 2019 10:52:42 +0000

pyepr (0.9.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    - refresh all patches
  * Drop debian/python3-epr-dbg.lintian-overrides: no longer necessary.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 23 Aug 2018 20:23:29 +0000

pyepr (0.9.4-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.2.0, no changes.
  * Update watch file to use releases instead of tags.
  * Update watch file to handle common issues.
  * Add lintian override for spelling-error-in-binary false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Aug 2018 17:48:04 +0200

pyepr (0.9.4-2) unstable; urgency=medium

  * Team upload.
  * Drop ancient X-Python{,3}-Version fields.
  * Strip trailing whitespace from rules files.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 16:48:25 +0200

pyepr (0.9.4-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.4, no changes.
  * Update copyright years for Antonio Valentino.

  [ Antonio Valentino ]
  * New upstream release.
  * Set Multi-Arch: same for pythpn(3)-epr(-dbg) packages.
  * debian/rules
    - update installdoc rule
  * debian/patch
    - refresh all parches
  * Install examples.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 30 Apr 2018 08:24:31 +0000

pyepr (0.9.3-5) unstable; urgency=medium

  * Team upload.
  * Add Breaks/Replaces to python-epr-doc for files moved from python-epr.
    (closes: #891514)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Feb 2018 12:46:29 +0100

pyepr (0.9.3-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.0, changes: priority.
  * Add python3-sphinx to build dependencies.
  * Strip trailing whitespace from changelog.
  * Add autopkgtest to test installability.
  * Add upstream metadata.

  [ Antonio Valentino ]
  * Bump Standards-Version to 4.1.3, no changes.
  * Set compat to 11.
  * debian/control
    - use secure URL for HomePage
    - fix python2-epr-dbg recommends to point to python3-numpy-dbg
  * debian/rules
    - fix doc installation
    - remove unnecessary dh argument: --parallel

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Feb 2018 18:29:21 +0000

pyepr (0.9.3-3) unstable; urgency=medium

  * Restore -dbg packages

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 15 Aug 2017 16:39:28 +0000

pyepr (0.9.3-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Team upload.
  * Add gbp.conf to use pristine-tar by default.
  * Override dh_python{2,3} to call dh_numpy{,3} too.
  * Drop .0 from GPL license shortnames.

  [ Antonio Valentino ]
  * remove dbg packages form the control file (now they are generated
    automatically)
  * switch to pybuild
  * refresh all patches
  * debian/copyright
    - fix format URL
  * debian/control
    - standard version bumped to 4.0.0 (no change)
    - remove un-necessary version specification
    - update VCS URLs
    - reformat using cme
    - add Multi-Arch specifiers
  * debian/rules
    - no longer parse debian changelog (fix lintian warning)
    - enable hardening flags
    - enable parallel build
  * debian/links file removed (no longer necessary)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 08 Aug 2017 08:15:02 +0000
